Rafobase Logo

List wallet transactions

Retrieve the transaction history for a member's wallet.

GET
/members/{id}/transactions

Retrieve the transaction history for a member's wallet.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Path Parameters

id*string

Member ID

Query Parameters

page?integer
Default1
per_page?integer
Default20
type?string

Filter by transaction type

Value in"credit" | "debit" | "release" | "cancel" | "adjustment"

Response Body

application/json

application/json

application/json

curl -X GET "https://api-base.rafo.work/api/v1/members/string/transactions"
{
  "data": [
    {
      "id": "txn_xxxxx",
      "type": "credit",
      "amount": 0,
      "balance_after": {
        "pending": 0,
        "available": 0,
        "currency": "BRL"
      },
      "description": "string",
      "reference_type": "referral",
      "reference_id": "string",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": 0,
    "per_page": 0,
    "total": 0,
    "total_pages": 0
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid or missing API key"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Resource not found"
  }
}